-- Combine PDFs script & droplet
--
-- Drop a set of PDF files on this script to combine them into a single PDF document in PDFpen

on combine(fileList)
	tell application "[AppName]"
		-- sort the filenames
		repeat with i from 2 to (count fileList)
			set idx to (item i of fileList as rich text)
			set j to i
			repeat while (j > 1) and ((item (j - 1) of fileList as rich text) > idx)
				set item j of fileList to item (j - 1) of fileList
				set j to j - 1
			end repeat
			set item j of fileList to idx
		end repeat
		tell application "[AppName]"
			set newDoc to make new document
			repeat with aFile in fileList
				try
					open (aFile as alias)
				end try
				delay 0.1
				set openDoc to document 1
				duplicate pages of openDoc to end of pages of newDoc
				try
					close openDoc
				end try
			end repeat
		end tell
	end tell
end combine

on open fileList
	return combine(fileList)
end open

on run
	tell application "[AppName]"
		set fileList to choose file with prompt "PDF files to combine:" with multiple selections allowed without invisibles
		return combine(fileList) of me
	end tell
end run
