-- This script exports PDF form field names and their values in CSV (comma separated value) format, readable by Excel and other applications

tell application "[AppName]"
	set stringResult to ""
	repeat with aPage in every page of document 1
		set fieldNames to {}
		set fieldValues to {}
		repeat with anImprint in every imprint of aPage
			set theClass to class of anImprint
			if theClass is button or theClass is text field or theClass is choice then
				set fieldNames to fieldNames & {field name of anImprint}
				set fieldValues to fieldValues & {csv of anImprint}
			end if
		end repeat
		repeat with index from 1 to (count fieldNames)
			set stringResult to stringResult & "\"" & item index of fieldNames & "\"" & "," & item index of fieldValues & "
"
		end repeat
	end repeat
	if stringResult is not equal to "" then
		set theFile to choose file name default name "form.csv"
		if theFile is not missing value then
			set fileHandle to open for access theFile with write permission
			set eof fileHandle to 0
			write stringResult to fileHandle
			close access fileHandle
		end if
	end if
end tell
