-- merge every other page from open file.

on combine(fileList)
	tell application "[AppName]"
		-- sort the filenames
		repeat with i from 2 to (count fileList)
			set idx to (item i of fileList as rich text)
			set j to i
			repeat while (j > 1) and ((item (j - 1) of fileList as rich text) > idx)
				set item j of fileList to item (j - 1) of fileList
				set j to j - 1
			end repeat
			set item j of fileList to idx
		end repeat
		set original to document 1
		set newDoc to make new document
		repeat with aFile in fileList
			try
				open (aFile as alias)
			end try
			-- Need to give the new document a moment to open
			delay 0.1
			set openDoc to document 1
			set n to number of pages of openDoc
			set nn to number of pages of original
			set max to n
			if (n < nn) then
				set max to nn
			end if
			set i to 1
			repeat while (i ≤ max)
				if (i ≤ nn) then
					duplicate page i of original to end of pages of newDoc
				end if
				if (i ≤ n) then
					duplicate page i of openDoc to end of pages of newDoc
				end if
				set i to i + 1
			end repeat
			try
				close openDoc
			end try
		end repeat
	end tell
end combine

on open fileList
	set fileList to choose file with prompt "PDF file to merge in:" with multiple selections allowed without invisibles
	return combine(fileList)
end open

on run
	tell application "[AppName]"
		set fileList to choose file with prompt "PDF file to merge in:" with multiple selections allowed without invisibles
		combine(fileList) of me
	end tell
end run
