const strings_base = {
	"start-button": "GET STARTED",
	"done-button": "DONE",
	"next-button": "NEXT",
	"skip-button": "SKIP",
	"welcome-text": "Welcome to powerful, <br>all-purpose PDF editing for Mac.",
	"1-text": "Read and<br>Annotate",
	"1-a": "Fill and sign forms",
	"1-b": "Highlight",
	"1-c": "Add notes",
	"1-d": "Export annotations",
	"2-text": "Edit Text<br>and Images",
	"2-a": "Make changes",
	"2-b": "Correct typos",
	"2-c": "Redact text",
	"2-d": "Modify images",
	"3-text": "Scanning<br>and OCR",
	"3-a": "Import scans",
	"3-b": "Adjust skew",
	"3-c": "Adjust resolution",
	"3-d": "Perform OCR",
	"4-text": "Extract Pages, Combine<br>and Organize",
	"4-a": "Delete and insert",
	"4-b": "Rearrange pages",
	"4-c": "Combine PDFs",
	"5-text": "Questions",
	"5-a": "Video Tutorials",
	"5-b": "Online Help",
	"5-c": "Contact Support",
	"tips": "Sign Up for Tips!",
	"tips-sub": "Get PDFpen help in your inbox. Unsubscribe anytime",
	"tips-button": "Sign Up",
	"tips-policy-link": "See our privacy policy",
};

function localizeString(key, content) {
	const base = strings_base[key];
	const loc = strings[key];
	if (content === undefined) {
		content = base;
	}
	return content.replace(base, loc);
}

function localizeStrings() {
	Object.keys(strings_base).forEach(function (key) {
		const elem = document.getElementById(key);
		if (elem && elem.innerHTML) {
			let newString = localizeString(key, elem.innerHTML)
			elem.innerHTML = newString;	
		} else {
			if (!elem) {
				console.log(`cannot extract element ${key}`);
			} else {
				console.log(`cannot extract innerHTML ${key}`);
			}
		}
	});
}
